import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class CodeView extends StatefulWidget {
  final String code;

  const CodeView({
    Key? key,
    required this.code,
  }) : super(key: key);

  @override
  State<CodeView> createState() => _CodeViewState();
}

class _CodeViewState extends State<CodeView> {
  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {
        Clipboard.setData(ClipboardData(text: widget.code));
        ScaffoldMessenger.of(context).hideCurrentSnackBar();
        ScaffoldMessenger.of(context).showSnackBar(const SnackBar(
            behavior: SnackBarBehavior.floating, content: Text("Copied")));
      },
      child: Container(
        padding: const EdgeInsets.all(10),
        decoration: BoxDecoration(
          color: Colors.grey.withOpacity(.1),
          borderRadius: BorderRadius.circular(5),
        ),
        child: SelectableText(
          widget.code,
          style: TextStyle(color: Colors.black),
        ),
      ),
    );
  }
}
